|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QAccessibleWidget Class Reference

The QAccessibleWidget class implements the QAccessibleInterface for QWidgets. More...

    #include <QAccessibleWidget>

Part of the QtGui module.

Inherits QAccessibleObject.

Inherited by Q3AccessibleTitleBar, QAccessibleButton, QAccessibleComboBox, QAccessibleDisplay, QAccessibleHeader, QAccessibleIconView, QAccessibleLineEdit, QAccessibleListBox, QAccessibleListView, QAccessibleScrollBar, QAccessibleScrollView, QAccessibleSlider, QAccessibleSpinBox, QAccessibleTabBar, QAccessibleTextEdit, and QAccessibleWidgetStack.

- List of all members, including inherited members

### Public Functions

- QAccessibleWidget ( QWidget * w, Role role = Client, const QString & name = QString() )

- 15 public functions inherited from QAccessibleInterface

### Protected Functions

- ~QAccessibleWidget ()
- void addControllingSignal ( const QString & signal )
- QObject * parentObject () const
- void setAccelerator ( const QString & accel )
- void setDescription ( const QString & desc )
- void setHelp ( const QString & help )
- void setValue ( const QString & value )
- QWidget * widget () const

### Additional Inherited Members

- 8 static public members inherited from QAccessible

## Detailed Description

The QAccessibleWidget class implements the QAccessibleInterface for QWidgets.

This class is convenient to use as a base class for custom implementations of QAccessibleInterfaces that provide information about widget objects.

The class provides functions to retrieve the parentObject() (the widget's parent widget), and the associated widget(). Controlling signals can be added with addControllingSignal(), and setters are provided for various aspects of the interface implementation, for example setValue(), setDescription(), setAccelerator(), and setHelp().

## Member Function Documentation

### QAccessibleWidget::QAccessibleWidget ( QWidget * w, Role role = Client, const QString & name = QString() )

Creates a QAccessibleWidget object for widget w. role and name are optional parameters that set the object's role and name properties.

### QAccessibleWidget::~QAccessibleWidget () `[protected]`

Destroys this object.

### void QAccessibleWidget::addControllingSignal ( const QString & signal ) `[protected]`

Registers signal as a controlling signal.

An object is a Controller to any other object connected to a controlling signal.

### QObject * QAccessibleWidget::parentObject () const `[protected]`

Returns the associated widget's parent object, which is either the parent widget, or qApp for top-level widgets.

### void QAccessibleWidget::setAccelerator ( const QString & accel ) `[protected]`

Sets the accelerator of this interface implementation to accel.

The default implementation of text() returns the set value for the Accelerator text.

Note that the object wrapped by this interface is not modified.

### void QAccessibleWidget::setDescription ( const QString & desc ) `[protected]`

Sets the description of this interface implementation to desc.

The default implementation of text() returns the set value for the Description text.

Note that the object wrapped by this interface is not modified.

### void QAccessibleWidget::setHelp ( const QString & help ) `[protected]`

Sets the help of this interface implementation to help.

The default implementation of text() returns the set value for the Help text.

Note that the object wrapped by this interface is not modified.

### void QAccessibleWidget::setValue ( const QString & value ) `[protected]`

Sets the value of this interface implementation to value.

The default implementation of text() returns the set value for the Value text.

Note that the object wrapped by this interface is not modified.

### QWidget * QAccessibleWidget::widget () const `[protected]`

Returns the associated widget.